Skip to content
API Reference
Sharing

Events sharing

Events sharing in Prism / Objects / Events — Micro Go reference.

Reference for Go SDK 0.8.0.

Release source · Setup and client configuration

Update

PUT /v2/prism/{teamId}/event/{eventId}/grant

client.Prism.Objects.Events.Grant.Update(ctx context.Context, eventID string, params micro.PrismObjectEventGrantUpdateParams) (*micro.PrismObjectEventGrantUpdateResponse, error)

Update grant

Get

GET /v2/prism/{teamId}/event/{eventId}/grant

client.Prism.Objects.Events.Grant.Get(ctx context.Context, eventID string, query micro.PrismObjectEventGrantGetParams) (*micro.PrismObjectEventGrantGetResponse, error)

Get grant

Parameter and response types

These declarations show the request parameters and response shapes used by the methods above.

PrismObjectEventGrantUpdateResponse

Source

type PrismObjectEventGrantUpdateResponse struct {
	TeamGroupID []map[string]PrismObjectEventGrantUpdateResponseTeamGroupID `json:"team_group_id"`
	TeamID      map[string]PrismObjectEventGrantUpdateResponseTeamID        `json:"team_id"`
	UserID      []map[string]PrismObjectEventGrantUpdateResponseUserID      `json:"user_id"`
	JSON        prismObjectEventGrantUpdateResponseJSON                     `json:"-"`
}

PrismObjectEventGrantGetResponse

Source

type PrismObjectEventGrantGetResponse struct {
	TeamGroupID []map[string]PrismObjectEventGrantGetResponseTeamGroupID `json:"team_group_id"`
	TeamID      map[string]PrismObjectEventGrantGetResponseTeamID        `json:"team_id"`
	UserID      []map[string]PrismObjectEventGrantGetResponseUserID      `json:"user_id"`
	JSON        prismObjectEventGrantGetResponseJSON                     `json:"-"`
}

PrismObjectEventGrantUpdateParams

Source

type PrismObjectEventGrantUpdateParams struct {
	// Use [option.WithTeamID] on the client to set a global default for this field.
	PathTeamID     param.Field[string]                                                    `path:"teamId" api:"required" format:"uuid"`
	TeamGroupID    param.Field[[]map[string]PrismObjectEventGrantUpdateParamsTeamGroupID] `json:"team_group_id"`
	BodyTeamID     param.Field[map[string]PrismObjectEventGrantUpdateParamsTeamID]        `json:"team_id"`
	UserID         param.Field[[]map[string]PrismObjectEventGrantUpdateParamsUserID]      `json:"user_id"`
	IdempotencyKey param.Field[string]                                                    `header:"Idempotency-Key"`
}

PrismObjectEventGrantGetParams

Source

type PrismObjectEventGrantGetParams struct {
	// Use [option.WithTeamID] on the client to set a global default for this field.
	TeamID param.Field[string] `path:"teamId" api:"required" format:"uuid"`
}

PrismObjectEventGrantUpdateResponseTeamGroupID

Source

type PrismObjectEventGrantUpdateResponseTeamGroupID string

PrismObjectEventGrantUpdateResponseTeamID

Source

type PrismObjectEventGrantUpdateResponseTeamID string

PrismObjectEventGrantUpdateResponseUserID

Source

type PrismObjectEventGrantUpdateResponseUserID string

PrismObjectEventGrantGetResponseTeamGroupID

Source

type PrismObjectEventGrantGetResponseTeamGroupID string

PrismObjectEventGrantGetResponseTeamID

Source

type PrismObjectEventGrantGetResponseTeamID string

PrismObjectEventGrantGetResponseUserID

Source

type PrismObjectEventGrantGetResponseUserID string

PrismObjectEventGrantUpdateParamsTeamGroupID

Source

type PrismObjectEventGrantUpdateParamsTeamGroupID string

PrismObjectEventGrantUpdateParamsTeamID

Source

type PrismObjectEventGrantUpdateParamsTeamID string

PrismObjectEventGrantUpdateParamsUserID

Source

type PrismObjectEventGrantUpdateParamsUserID string
micro.so